# expandBy

return type | Array ( GeoJSON bounding box )
syntax | $.geo.expandBy( Array bbox ( GeoJSON bounding box ), Number dx, Number dy )

usage

    var largerBbox = $.geo.expandBy( bbox, 20, 20 )

The expandBy method creates a new bbox with the same center as the original but having a width and height that is modified by the dx and dy arguments respectively.

The dx and dy arguments are non-geodetic map units. If you are using geomap with its default map service, these are in meters because the default projection is web mercator meters. If, for example, you are working in a different projection such as NAD83 / New Jersey feet, this function will expand or contract the bbox by feet.

The dx and dy arguments can be positive, negative or zero and will modify the width or height of the bbox accordingly.

This function is similar to Envelope.expandBy in JTS.